PI ist doch nicht 3.0? ODER?

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

PI ist doch nicht 3.0? ODER?

Postby carl » 05. January 2004 02:19

bei beiden Versionen erhalte ich im Output 3.0 :(

Code: Select all
   printf("<p>M_PI=%3.7f</p>",M_PI);
   printf("<p>pi()=%3.7f</p>",pi())


Erebnis:
Code: Select all
M_PI= 3.0000000

pi()= 3.0000000


kann sich das jemand erklären was ich da falsch mache??
erwartet hätte ich etwas in der art wie 3.14159265358979323846264338... :D


THX im voraus

bb
carl


mein xampp auf w2k sp3:
Es läuft hier ApacheFriends XAMPP Version 0.9 mit ...

Apache/2.0.47 (Win32) mod_perl/1.99_10-dev Perl/v5.8.0
mod_ssl/2.0.47 OpenSSL/0.9.7b PHP/4.3.3RC2-dev
carl
 
Posts: 2
Joined: 05. January 2004 01:49

erledigt

Postby carl » 05. January 2004 02:57

habe gerade mal 1.2 installiert und dort kommt pi wie erwartet :)

warum bei 0.9 nicht mehr als 3.0 möglich war versteh ich trotzdem nicht, aber vielleicht mühseelig das zu verfolgen

bb
carl
carl
 
Posts: 2
Joined: 05. January 2004 01:49


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 11 guests